[arch-commits] CVS update of extra/multimedia-plugins/gstreamer0.10-ugly (2 files)

Jan de Groot jgc at archlinux.org
Wed Dec 26 10:36:47 EST 2007


    Date: Wednesday, December 26, 2007 @ 10:36:47
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia-plugins/gstreamer0.10-ugly

   Added: mpegaudioparse.patch (1.1)
Modified: PKGBUILD (1.6 -> 1.7)

upgpkg: gstreamer0.10-ugly 0.10.6-2
Fix issues with new -base


----------------------+
 PKGBUILD             |   13 +++++++----
 mpegaudioparse.patch |   56 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 5 deletions(-)


Index: extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD
diff -u extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.6 extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.7
--- extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.6	Fri Jun 29 14:30:36 2007
+++ extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD	Wed Dec 26 10:36:46 2007
@@ -1,24 +1,27 @@
-# $Id: PKGBUILD,v 1.6 2007/06/29 18:30:36 jgc Exp $
+# $Id: PKGBUILD,v 1.7 2007/12/26 15:36:46 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-ugly
 pkgver=0.10.6
-pkgrel=1
+pkgrel=2
 pkgdesc="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('gstreamer0.10-base>=0.10.13')
+depends=('gstreamer0.10-base>=0.10.15')
 makedepends=('pkgconfig')
 url="http://gstreamer.freedesktop.org/"
 groups=('gstreamer0.10-plugins')
 _relname=gst-plugins-ugly
 source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2
-        uglyconf)
+        uglyconf
+	mpegaudioparse.patch)
 md5sums=('f1016148ecbfba968c0ef1773066988b'
-         '825050222a558d0cedeea3cfd2f716ea')
+         '825050222a558d0cedeea3cfd2f716ea'
+	 'c7fba12fa72d6455bc04fcc410db03b6')
 
 build() {
   cd ${startdir}/src/${_relname}-${pkgver}
+  patch -Np0 -i ${startdir}/src/mpegaudioparse.patch || return 1
   . ${startdir}/src/uglyconf
   rm -f ${startdir}/pkg/usr/lib/gstreamer-0.10/*.{,l}a
 }
Index: extra/multimedia-plugins/gstreamer0.10-ugly/mpegaudioparse.patch
diff -u /dev/null extra/multimedia-plugins/gstreamer0.10-ugly/mpegaudioparse.patch:1.1
--- /dev/null	Wed Dec 26 10:36:47 2007
+++ extra/multimedia-plugins/gstreamer0.10-ugly/mpegaudioparse.patch	Wed Dec 26 10:36:47 2007
@@ -0,0 +1,56 @@
+--- gst/mpegaudioparse/gstmpegaudioparse.c
++++ gst/mpegaudioparse/gstmpegaudioparse.c
+@@ -329,6 +329,7 @@
+ {
+   gboolean res;
+   GstMPEGAudioParse *mp3parse;
++  GstEvent **eventp;
+ 
+   mp3parse = GST_MP3PARSE (gst_pad_get_parent (pad));
+ 
+@@ -379,12 +380,21 @@
+       GST_DEBUG_OBJECT (mp3parse, "Pushing newseg rate %g, applied rate %g, "
+           "format %d, start %lld, stop %lld, pos %lld\n",
+           rate, applied_rate, format, start, stop, pos);
+-      res = gst_pad_push_event (mp3parse->srcpad, event);
++
++      /* save the segment for later, right before we push a new buffer so that
++       * the caps are fixed and the next linked element can receive the segment. */
++      eventp = &mp3parse->pending_segment;
++      gst_event_replace (eventp, event);
++      res = TRUE;
++
+       break;
+     }
+     case GST_EVENT_FLUSH_STOP:
+       /* Clear our adapter and set up for a new position */
+       gst_adapter_clear (mp3parse->adapter);
++      eventp = &mp3parse->pending_segment;
++      gst_event_replace (eventp, NULL);
++
+       res = gst_pad_push_event (mp3parse->srcpad, event);
+       break;
+     default:
+@@ -484,6 +494,11 @@
+   }
+ 
+   return gst_pad_push (mp3parse->srcpad, outbuf);
++ /* push any pending segment now */
++    if (mp3parse->pending_segment)
++      gst_pad_push_event (mp3parse->srcpad, mp3parse->pending_segment);
++    mp3parse->pending_segment = NULL;
++
+ }
+ 
+ #define XING_FRAMES_FLAG     0x0001
+--- gst/mpegaudioparse/gstmpegaudioparse.h
++++ gst/mpegaudioparse/gstmpegaudioparse.h
+@@ -82,6 +82,8 @@
+   guchar xing_seek_table[100];
+   guint32 xing_vbr_scale;
+   guint   xing_bitrate;
++ /* pending segment */
++  GstEvent *pending_segment;
+ };
+ 
+ struct _GstMPEGAudioParseClass {




More information about the arch-commits mailing list